// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  crystal growth group                                                  ==
// ==                                                                        ==
// ==  Stiftung caesar                                                       ==
// ==  Ludwig-Erhard-Allee 2                                                 ==
// ==  53175 Bonn                                                            ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  http://www.caesar.de/cg/AMDiS                                         ==
// ==                                                                        ==
// ============================================================================

/** \file VertexInfo.h */

#ifndef AMDIS_VERTEXINFO_H
#define AMDIS_VERTEXINFO_H

#include "FixVec.h"

namespace AMDiS {
  /** \brief
   * Stores coordinates and output index for one vertex.
   */
  class VertexInfo 
    {
    public:
  /** \brief
   * Coordinates for this vertex.
   */
      WorldVector<double> coords;
      
      /** \brief
       * Index for the output file.
       */
      int outputIndex;
      
      /** \brief
       * Used to check, whether coords are already stored for a given dof.
       */ 
      bool operator==(const WorldVector<double>& c) {
	return (c == coords);
      };
      
      /** \brief
       * Used to check, whether coords are already stored for a given dof.
       */ 
      bool operator!=(const WorldVector<double>& c) {
	return (c != coords);
      };
    };
}

#endif
