// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  crystal growth group                                                  ==
// ==                                                                        ==
// ==  Stiftung caesar                                                       ==
// ==  Ludwig-Erhard-Allee 2                                                 ==
// ==  53175 Bonn                                                            ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  http://www.caesar.de/cg/AMDiS                                         ==
// ==                                                                        ==
// ============================================================================

/** \file VtkWriter.h */

#ifndef AMDIS_VTKWRITER_H
#define AMDIS_VTKWRITER_H

#include "DataCollector.h"

namespace AMDiS {

  class VtkWriter
  {
  public:
    /** \brief
     * Writes a ParaView-VTK file.
     */
    static int writeFile(::std::vector<DataCollector*> *dc,
			 const char *name);

    /** \brief
     * Adds a new entry to a ParaView animation file.
     */
    static int updateAnimationFile(::std::string valueFilename,
				   ::std::vector< ::std::string > *paraViewAnimationFrames,
				   const char *animationFilename);
  };
}

#endif
